Bug 1398322 - Missing dependency golang(golang.org/x/tools/go/types) on install of golang-github-aws-aws-sdk-go-devel-1.1.3-2.fc25.noarch
Summary: Missing dependency golang(golang.org/x/tools/go/types) on install of golang-g...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-aws-aws-sdk-go
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2016-11-24 12:50 UTC by Menanteau Guy
Modified: 2017-12-12 10:21 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:21:49 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2016-11-24 12:50:40 UTC
On a brand new f25 ppc4le machine, I am not able to install package
golang-github-aws-aws-sdk-go-devel-1.1.3-2.fc25.noarch

# dnf install golang-github-aws-aws-sdk-go-devel
Last metadata expiration check: 2:00:45 ago on Thu Nov 24 05:35:55 2016.
Error: nothing provides golang(golang.org/x/tools/go/types) needed by golang-github-aws-aws-sdk-go-devel-1.1.3-2.fc25.noarch

I checked that golang.org/x/tools/go/types was effectively in 
golang-golangorg-tools-devel-0-13.1.git1cdaff4
but not anymore in 
golang-golangorg-tools-devel-0-14.1.git9deed8c

This prevent to build "flannel" package in f25 ppc64le.

Comment 1 Menanteau Guy 2016-11-24 15:59:38 UTC
On fedora rawhide, install of golang-github-aws-aws-sdk-go-devel-1.4.9-1.fc26.noarch is fine.
It uses golang-golangorg-tools-devel.noarch 0-14.1.git9deed8c.fc26 as dependency

Comment 2 Fedora End Of Life 2017-11-16 19:51:08 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:21:49 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.